# GitPod Configuration
image:
  file: .gitpod.Dockerfile

additionalRepositories:
  - url: https://gitlab.com/ch-mc-b/cdi/infra/02-cloud-init.git
    checkoutLocation: gitpod-workspace/cdi/infra/02-cloud-init
  - url: https://gitlab.com/ch-mc-b/cdi/infra/02-terraform.git
    checkoutLocation: gitpod-workspace/cdi/infra/02-terraform
  - url: https://gitlab.com/ch-mc-b/cdi/infra/03-scm.git
    checkoutLocation: gitpod-workspace/cdi/infra/03-scm
  - url: https://gitlab.com/ch-mc-b/cdi/infra/aws.git
    checkoutLocation: gitpod-workspace/cdi/infra/aws
  - url: https://gitlab.com/ch-mc-b/cdi/infra/azure.git
    checkoutLocation: gitpod-workspace/cdi/infra/azure
  - url: https://gitlab.com/ch-mc-b/cdi/infra/maas.git
    checkoutLocation: gitpod-workspace/cdi/infra/maas
  - url: https://gitlab.com/ch-mc-b/cdi/infra/template.git
    checkoutLocation: gitpod-workspace/cdi/infra/template
  - url: https://gitlab.com/ch-mc-b/cdi/apps/04-make.git
    checkoutLocation: gitpod-workspace/cdi/apps/04-make
  - url: https://gitlab.com/ch-mc-b/cdi/apps/04-maven.git
    checkoutLocation: gitpod-workspace/cdi/apps/04-maven
  - url: https://gitlab.com/ch-mc-b/cdi/apps/05-web-app.git
    checkoutLocation: gitpod-workspace/cdi/apps/05-web-app
  - url: https://gitlab.com/ch-mc-b/cdi/apps/06-web-app.git
    checkoutLocation: gitpod-workspace/cdi/apps/06-web-app
  - url: https://gitlab.com/ch-mc-b/cdi/apps/07-web-app.git
    checkoutLocation: gitpod-workspace/cdi/apps/07-web-app
  - url: https://gitlab.com/ch-mc-b/cdi/apps/08-web-app.git
    checkoutLocation: gitpod-workspace/cdi/apps/08-web-app
  - url: https://gitlab.com/ch-mc-b/cdi/apps/web-app.git
    checkoutLocation: gitpod-workspace/cdi/apps/web-app 
  - url: https://gitlab.com/ch-mc-b/cdi/apps/web-app-full.git
    checkoutLocation: gitpod-workspace/cdi/apps/web-app-full
  - url: https://gitlab.com/ch-mc-b/cdi/apps/py-my-app.git
    checkoutLocation: gitpod-workspace/cdi/apps/py-my-app

tasks:
  - command: |
      . ${GITPOD_REPO_ROOT}/scripts/init.sh
      echo "$WG_CONFIG"  | base64 -d > /workspace/.wg-config.conf
      echo "$K8S_CONFIG" | base64 -d > ~/.kube/config
      touch "$AWS_CONFIG_FILE"
      wg-quick up /workspace/.wg-config.conf
      curl https://raw.githubusercontent.com/mc-b/lerncloud/main/ssh/lerncloud -o ~/.ssh/id_rsa
      chmod 0600 ~/.ssh/id_rsa

# MAAS UI - activate: ssh -L 5240:localhost:5240 -N -f ubuntu@10.6.37.8
ports:
  - port: 5240
    onOpen: open-browser  
  - port: 9000-9100
    onOpen: ignore    

vscode:
  extensions:
    - ms-toolsai.jupyter
    - ms-python.python
    - ms-toolsai.jupyter-keymap
    - ms-toolsai.jupyter-renderers
